### Method

# Fwupd JcatFile get_item_by_id

since: 2.1.3

#### Declaration [src]

    FwupdJcatItem*
    fwupd_jcat_file_get_item_by_id (
      FwupdJcatFile* self,
      const gchar* id,
      GError** error
    )

#### Description [src]

Finds the item with the specified ID, falling back to the ID alias if set.

Available since: 2.1.3

#### Parameters

`id`

  Type: `const gchar*`

  An ID, typically a filename basename.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FwupdJcatItem`

A `FwupdJcatItem`, or `NULL` if the filename was not found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.